package com.sunxung.factoring.entity.underlying.vo;

import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.underlying.UnderlyingApproval;

import java.util.List;

/**
 * @Description : 底层审核信息Vo类
 * @Author : L.Jia
 * @Date: 2022-03-17 17:38
 */
public class UnderlyingApprovalVo {


    /**
     * 底层审批信息
     */
    private UnderlyingApproval underlyingApproval;

    /**
     * 销售合同文件
     */
    private List<FileStorage> salesContractFiles;

    /**
     * 采购合同文件
     */
    private List<FileStorage> purchContractFiles;

    /**
     * 验收单附件
     */
    private List<FileStorage> acceptanceFiles;

    /**
     * 结算单附件
     */
    private List<FileStorage> settlementFiles;

    /**
     * 销售发票附件
     */
    private List<FileStorage> salesInvoiceFiles;

    /**
     * 采购发票附件
     */
    private List<FileStorage> purchInvoiceFiles;

    public List<FileStorage> getSalesContractFiles() {
        return salesContractFiles;
    }

    public void setSalesContractFiles(List<FileStorage> salesContractFiles) {
        this.salesContractFiles = salesContractFiles;
    }

    public List<FileStorage> getPurchContractFiles() {
        return purchContractFiles;
    }

    public void setPurchContractFiles(List<FileStorage> purchContractFiles) {
        this.purchContractFiles = purchContractFiles;
    }

    public List<FileStorage> getAcceptanceFiles() {
        return acceptanceFiles;
    }

    public void setAcceptanceFiles(List<FileStorage> acceptanceFiles) {
        this.acceptanceFiles = acceptanceFiles;
    }

    public List<FileStorage> getSettlementFiles() {
        return settlementFiles;
    }

    public void setSettlementFiles(List<FileStorage> settlementFiles) {
        this.settlementFiles = settlementFiles;
    }

    public List<FileStorage> getSalesInvoiceFiles() {
        return salesInvoiceFiles;
    }

    public void setSalesInvoiceFiles(List<FileStorage> salesInvoiceFiles) {
        this.salesInvoiceFiles = salesInvoiceFiles;
    }

    public List<FileStorage> getPurchInvoiceFiles() {
        return purchInvoiceFiles;
    }

    public void setPurchInvoiceFiles(List<FileStorage> purchInvoiceFiles) {
        this.purchInvoiceFiles = purchInvoiceFiles;
    }

    public UnderlyingApproval getUnderlyingApproval() {
        return underlyingApproval;
    }

    public void setUnderlyingApproval(UnderlyingApproval underlyingApproval) {
        this.underlyingApproval = underlyingApproval;
    }
}
